Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mindswap.pellet.utils.fsm
Class Transition

    java.lang.Object
      org.mindswap.pellet.utils.fsm.Transition

    public class Transition

extends java.lang.Object

Title:

Description:

Copyright: Copyright (c) 2006

Company: Clark & Parsia, LLC.

Author:
  Evren Sirin

Field Summary
`static java.lang.Object` | `EPSILON`

Constructor Summary
`Transition(java.lang.Object name, State to)` add edge for name from current state to state t on c
`Transition(State t)` /* add edge with epsilon edge

Method Summary
`boolean` | `equals(java.lang.Object o)`
`java.lang.Object` | `getName()`
`State` | `getTo()`
`int` | `hashCode()`
`boolean` | `hasName(java.lang.Object c)`
`void` | `setTo(State to)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### EPSILON

    public static java.lang.Object EPSILON

Constructor Detail

### Transition

    public Transition(State t)

  /* add edge with epsilon edge

### Transition

    public Transition(java.lang.Object name,
                      State to)

  add edge for name from current state to state t on c

Method Detail

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### getTo

    public State getTo()

### setTo

    public void setTo(State to)

### getName

    public java.lang.Object getName()

### hasName

    public boolean hasName(java.lang.Object c)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Evren Sirin. All Rights Reserved.